Bug 1258220 - XF86AudioLowerVolume can be mapped but not used
XF86AudioLowerVolume can be mapped but not used
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-30 07:38 EDT by Jan Pazdziora
Modified: 2016-07-19 13:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:43:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-08-30 07:38:53 EDT
Description of problem:

On ThinkPad T440s, the "volume down" key stopped working after recent upgrades.

I use XFCE and have the mute, volume down, and volume up mapped in Settings > Keyboard > Application shortcuts to commands

   amixer set Master toggle -q
   amixer set Master 10%- -q
   amixer set Master 10%+ -q

When mapping them, the shortcuts (symbol) assigned are

   XF86AudioMute
   XF86AudioLowerVolume
   XF86AudioRaiseVolume

When I then try to change the volume, Mute and Up work (both the icon in the panel and the Master slider of "Audio Mixer - Playback: Built-in Audio Analog Stereo (PulseAudio Mixer)" change mute icon / changes up.

However, lowering the volume down does not work, it does nothing.

When running evtest /dev/input/event3 (which is the keyboard device), I see the code there just fine:

Event: time 1440934473.254953, -------------- SYN_REPORT ------------
Event: time 1440934475.195550, type 4 (EV_MSC), code 4 (MSC_SCAN), value a0
Event: time 1440934475.195550, type 1 (EV_KEY), code 113 (KEY_MUTE), value 1
Event: time 1440934475.195550, -------------- SYN_REPORT ------------
Event: time 1440934475.306165, type 4 (EV_MSC), code 4 (MSC_SCAN), value a0
Event: time 1440934475.306165, type 1 (EV_KEY), code 113 (KEY_MUTE), value 0
Event: time 1440934475.306165, -------------- SYN_REPORT ------------
Event: time 1440934475.711973, type 4 (EV_MSC), code 4 (MSC_SCAN), value a0
Event: time 1440934475.711973, type 1 (EV_KEY), code 113 (KEY_MUTE), value 1
Event: time 1440934475.711973, -------------- SYN_REPORT ------------
Event: time 1440934475.806588, type 4 (EV_MSC), code 4 (MSC_SCAN), value a0
Event: time 1440934475.806588, type 1 (EV_KEY), code 113 (KEY_MUTE), value 0
Event: time 1440934475.806588, -------------- SYN_REPORT ------------
Event: time 1440934476.300273, type 4 (EV_MSC), code 4 (MSC_SCAN), value ae
Event: time 1440934476.300273, type 1 (EV_KEY), code 114 (KEY_VOLUMEDOWN), value 1
Event: time 1440934476.300273, -------------- SYN_REPORT ------------
Event: time 1440934476.410986, type 4 (EV_MSC), code 4 (MSC_SCAN), value ae
Event: time 1440934476.410986, type 1 (EV_KEY), code 114 (KEY_VOLUMEDOWN), value 0
Event: time 1440934476.410986, -------------- SYN_REPORT ------------
Event: time 1440934477.876702, type 4 (EV_MSC), code 4 (MSC_SCAN), value ae
Event: time 1440934477.876702, type 1 (EV_KEY), code 114 (KEY_VOLUMEDOWN), value 1
Event: time 1440934477.876702, -------------- SYN_REPORT ------------
Event: time 1440934477.995346, type 4 (EV_MSC), code 4 (MSC_SCAN), value ae
Event: time 1440934477.995346, type 1 (EV_KEY), code 114 (KEY_VOLUMEDOWN), value 0
Event: time 1440934477.995346, -------------- SYN_REPORT ------------
Event: time 1440934478.321080, type 4 (EV_MSC), code 4 (MSC_SCAN), value b0
Event: time 1440934478.321080, type 1 (EV_KEY), code 115 (KEY_VOLUMEUP), value 1
Event: time 1440934478.321080, -------------- SYN_REPORT ------------
Event: time 1440934478.439723, type 4 (EV_MSC), code 4 (MSC_SCAN), value b0
Event: time 1440934478.439723, type 1 (EV_KEY), code 115 (KEY_VOLUMEUP), value 0
Event: time 1440934478.439723, -------------- SYN_REPORT ------------
Event: time 1440934478.845190, type 4 (EV_MSC), code 4 (MSC_SCAN), value b0
Event: time 1440934478.845190, type 1 (EV_KEY), code 115 (KEY_VOLUMEUP), value 1
Event: time 1440934478.845190, -------------- SYN_REPORT ------------
Event: time 1440934478.939914, type 4 (EV_MSC), code 4 (MSC_SCAN), value b0
Event: time 1440934478.939914, type 1 (EV_KEY), code 115 (KEY_VOLUMEUP), value 0

Version-Release number of selected component (if applicable):

kernel-4.1.6-200.fc22.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. Have ThinkPad's up and down volume buttons mapped to amixer commands.
2. Pres up and down volume buttons.

Actual results:

Up works, down does not.

Expected results:

Both up and down work.

Additional info:
Comment 1 Jan Pazdziora 2015-08-30 07:41:42 EDT
I understand kernel might not be at fault but I have no idea where to start with the investigation and besides, kernel is the one getting biggest updates (even if not the only one).
Comment 2 Justin M. Forbes 2015-10-20 15:37:41 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 3 Jan Pazdziora 2015-10-21 02:21:38 EDT
(In reply to Justin M. Forbes from comment #2)
> 
> Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel
> update (or newer) and let us know if you issue has been resolved or if it is
> still present with the newer kernel.

I still see the issue, in non-deterministic fashion.
Comment 4 Jan Pazdziora 2015-11-07 05:38:17 EST
Problem is also present on Fedora 23: kernel-4.2.5-300.fc23.x86_64
Comment 5 Fedora End Of Life 2016-07-19 13:43:41 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.